Search Discussions:


Showing results for 
Search instead for 
Do you mean 
Advanced search
Welcome to our community! Here you can share advice and tips with thousands of other Microsoft mobile devices users around the world in English. Please take a moment to read our community guidelines for more information. Everyone can search and read the discussions, but to post your own question or reply to others you need to sign in first. If this is your first time here, you can choose an alias to represent you. If you don't have an account yet, please register here.
Reply

"Open C LIBSSL Common" and "Open C LIBSSL Patch" -...

Counsellor
Posts: 40

"Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

Hi all...

 

I was looking through my list of installed apps on my N85, and saw the above two libraries:

 

"Open C LIBSSL Common" and "Open C LIBSSL Patch"

 

I know that SOMETHING I installed requires them, but I looked through everything I saw that I installed, and couldn't find them at all.

 

What app(s) require those files, if anyone remembers offhand?

 

- Tim

 

Please use plain text.
Contributor
asmodeus
Posts: 5

Re: "Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

I know that Skyfire requieres the Open C LIBSSL
Nokia E71 / RM-346 (0561155) / 110.07.127
Nokia E51 / RM-244 (0552343) / 300.34.56
Please use plain text.
Counsellor
Posts: 40

Re: "Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

That was probably it - but for some reason I couldn't find that page I remembered where the libraries were listed and you were supposed to download them first.

 

- Tim

 

Please use plain text.
Mobile Sensei
Posts: 7,358

Re: "Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

Many Nokia applications (e.g., N-Gage, etc.) also use these libraries (and usually those applications install them on their own).

 

In those cases you don't need to install them separately as a phone user.

Please use plain text.
Mobile Overlord
grschinon
Posts: 10,192

Re: "Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

Anything that uses encrypted communications will use the libssl library: lib (library) ssl (secure socket layer). That probably includes the browser, e-mail client, IM client and just about anything else that uses the internet.

Was this post helpful? If so, please click on the white "Kudos!" star below. Thank you!

Please use plain text.
Mobile Sensei
Posts: 7,358

Re: "Open C LIBSSL Common" and "Open C LIBSSL Patch" - what requires them?

Not quite. The encryption/SSL can be used without libssl quite all right. The libssl library is a porting tool for making it easier for developers to take software that works on, e.g., Linux to work on Symbian/S60.

It is part of the Symbian P.I.P.S. or the Nokia OpenC packages. So, all applications that use the internet may not necessarily use libssl. They will do so only if they've be written to use P.I.P.S./OpenC stuff (and most built-in S60 applications won't, as they were originally written long before P.I.P.S./OpenC existed).
Please use plain text.